Subject: bug#59214: [PATCH] Alternate rust-analyzer command added

From: João Távora <[email-masked]>
Date: Thu, 17 Nov 2022 08:19:57 +0000

On Thu, Nov 17, 2022 at 8:12 AM M. Ian Graham <[email-masked]>
wrote:

>
> If we're adding a new dependency on an optional installation method, can
> we also please retain the "add rust-analyzer to PATH and eglot will just
> work" current behavior as well?
>

So rustup is just an optional way of installing rust-analyzer? If so I
think we shouldn't
tweak this.

João

(tangent:  rustup being optional is intriguing and interesting. If I wanted
to learn Rust, just Rust, should I start with a rustup-less setup?)